%define rel 2
# switch off disabling of RPATH handling - necessary, see comment for Patch0
%define _cmake_skip_rpath %nil

Name: lxqt-config
Version: 0.11.1
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Config panel for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRequires: cmake >= 2.8.9
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Xdg) >= 2.0.0
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(lxqt) >= 0.10.0
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: kwindowsystem-devel >= 5.5
BuildRequires: pkgconfig(kscreen2)
BuildRequires: desktop-file-utils
BuildRequires: qt5gui-private-devel
# xrandr binary required for lxqt-config-monitor
Requires: xrandr

# deprecated and replaced by lxqt-config-monitor binary
Obsoletes: lxqt-config-randr < 0.7.0-6
Obsoletes: razorqt-config < 0.5.3-1
Obsoletes: razorqt-config-appearance < 0.5.3-1
Obsoletes: razorqt-config-appearance < 0.5.3-1
Obsoletes: razorqt-config-autosuspend < 0.5.3-1
Obsoletes: razorqt-config-desktop < 0.5.3-1
Obsoletes: razorqt-config-file-associations < 0.5.3-1
Obsoletes: razorqt-config-mouse < 0.5.3-1
Obsoletes: razorqt-confupdate < 0.5.3-1

%description
Config panel for the LXQt desktop.

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5 -DPULL_TRANSLATIONS=NO
%make

%install
%make_install -C build
for lang in brightness; do
if [ -f %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop ]; then
sed -i "/^GenericName.*/d" %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop
sed -i "/^Comment.*/d" %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop
fi
done
# fix empty category - reported upstream https://github.com/lxde/lxqt/issues/509
sed -i 's/;;/;/' %{buildroot}%{_datadir}/applications/lxqt-config-monitor.desktop

%files
%{_sysconfdir}/xdg/menus/lxqt-config.menu
%{_bindir}/lxqt-config
%{_bindir}/lxqt-config-appearance
%{_bindir}/lxqt-config-brightness
%{_bindir}/lxqt-config-file-associations
%{_bindir}/lxqt-config-input
%{_bindir}/lxqt-config-locale
%{_bindir}/lxqt-config-monitor
%{_libdir}/lxqt-config/lib*.so
%{_datadir}/applications/lxqt-config*.desktop
%{_iconsdir}/hicolor/48x48/apps/brightnesssettings.svg
%{_datadir}/lxqt/icons


%changelog
* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1093312
- New version 0.11.1

* Wed Nov 09 2016 neoclust <neoclust> 0.11.0-2.mga6
+ Revision: 1066149
- Workaround rpmlint error
- New version 0.11.0

  + doktor5000 <doktor5000>
    - added Requires on xrandr binary for lxqt-monitor-config

* Mon Mar 07 2016 daviddavid <daviddavid> 0.10.0-6.mga6
+ Revision: 986933
- rebuild for new libkscreen
- run cmake_qt5 into build section

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 08 2015 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 908884
- add comment on why rpath is used for the private library
- added upstream patch for library folder paths - fixes (mga#17203)

* Fri Nov 27 2015 neoclust <neoclust> 0.10.0-4.mga6
+ Revision: 906374
- Try to disable RPATH

* Thu Nov 26 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 906335
- Fix start of lxqt-config-appearance MGA#17203

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 900883
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900244
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816443
- new version 0.9.0
- removed patch for font autohinting, merged upstream
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-5.mga5
+ Revision: 803674
- rebuild for QT 5.4 breakage

* Tue Nov 04 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 795647
- added upstream patch, thanks to dglent
  o enables autohinting option in lxqt-config-appearance
  o enables KDE compatibility

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793524
- do not remove LXQt Catgories from .desktop file

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 793086
- remove duplicate Obsoletes
- add Obsoletes on lxqt-config-randr
  o replaced by lxqt-config-monitor binary
- add missing BuildRequires on pkgconfig(Qt5Help)
- added BuildRequires on pkgconfig(Qt5Concurrent)
- new version 0.8
  o adds lxqt-config-monitor, an RandR frontend
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 739891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 682088
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675034
- obsolete razorqt-config

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626416
- use %%mkrel
- fix BuildRequires
- fix .desktop files, remove Category=LXQt for now
- remove .rpmlintrc
- imported package lxqt-config


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.7.0-1
+ Revision: 9ed6d13
- Add build deps


